Bug 180401 - acpid can't connect to X serveur
acpid can't connect to X serveur
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: acpid (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Zdenek Prikryl
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-07 15:57 EST by Frédéric BAUCHET
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-25 09:28:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frédéric BAUCHET 2006-02-07 15:57:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.8) Gecko/20051111 Firefox/1.5

Description of problem:
On my thinkpad T23 I use hotkey Fn+F3 to switch off screen

The script is :
export DISPLAY="localhost:0.0"
xhost +
xset dpms force on

Into /var/log/acpid I get the followind logs :
_X11TransSocketOpenCOTSClient: Unable to open socket for tcp
_X11TransOpen: transport open failed for tcp/localhost:0
xhost:  unable to open display "localhost:0.0"
_X11TransSocketOpenCOTSClient: Unable to open socket for tcp
_X11TransOpen: transport open failed for tcp/localhost:0
xset:  unable to open display "localhost:0.0"

I have enable the tcp socket of the X server.
If I use the same script as root, it works fine.


Version-Release number of selected component (if applicable):
acpid-1.0.4

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  

Additional info:
Comment 1 Christian Iseli 2007-01-19 19:18:02 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Zdenek Prikryl 2007-07-25 09:28:25 EDT
Insufficient information.

Note You need to log in before you can comment on or make changes to this bug.